QueryProcessor (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql
Class QueryProcessor

    java.lang.Object
      org.apache.cassandra.cql.QueryProcessor

    public class QueryProcessor

extends java.lang.Object

Field Summary
`static java.lang.String` | `CQL_VERSION`
`static java.lang.String` | `DEFAULT_KEY_NAME`

Constructor Summary
`QueryProcessor()`

Method Summary
`static CqlResult` | `process(CQLStatement statement, ClientState clientState)`
`static CqlResult` | `process(java.lang.String queryString, ClientState clientState)`
`static void` | `validateColumn(CFMetaData metadata, java.nio.ByteBuffer name, java.nio.ByteBuffer value)`
`static void` | `validateColumnName(java.nio.ByteBuffer column)`
`static void` | `validateKey(java.nio.ByteBuffer key)`
`static void` | `validateKeyAlias(CFMetaData cfm, java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CQL_VERSION

    public static final java.lang.String CQL_VERSION

See Also:
  Constant Field Values

### DEFAULT_KEY_NAME

    public static final java.lang.String DEFAULT_KEY_NAME

Constructor Detail

### QueryProcessor

    public QueryProcessor()

Method Detail

### validateKey

    public static void validateKey(java.nio.ByteBuffer key)
                            throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateKeyAlias

    public static void validateKeyAlias(CFMetaData cfm,
                                        java.lang.String key)
                                 throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateColumnName

    public static void validateColumnName(java.nio.ByteBuffer column)
                                   throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateColumn

    public static void validateColumn(CFMetaData metadata,
                                      java.nio.ByteBuffer name,
                                      java.nio.ByteBuffer value)
                               throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### process

    public static CqlResult process(java.lang.String queryString,
                                    ClientState clientState)
                             throws org.antlr.runtime.RecognitionException,
                                    UnavailableException,
                                    InvalidRequestException,
                                    TimedOutException,
                                    SchemaDisagreementException

  Throws:
    `org.antlr.runtime.RecognitionException`
    `UnavailableException`
    `InvalidRequestException`
    `TimedOutException`
    `SchemaDisagreementException`

### process

    public static CqlResult process(CQLStatement statement,
                                    ClientState clientState)
                             throws org.antlr.runtime.RecognitionException,
                                    UnavailableException,
                                    InvalidRequestException,
                                    TimedOutException,
                                    SchemaDisagreementException

  Throws:
    `org.antlr.runtime.RecognitionException`
    `UnavailableException`
    `InvalidRequestException`
    `TimedOutException`
    `SchemaDisagreementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation